## net.dontdrinkandroot.persistence.filter
Class NullFilter<T>

    java.lang.Object
      net.dontdrinkandroot.persistence.filter.AbstractFilter<T>
          net.dontdrinkandroot.persistence.filter.NullFilter<T>

All Implemented Interfaces:
  java.io.Serializable, Filter<T>

    public class NullFilter<T>

extends AbstractFilter<T>

See Also:
  Serialized Form

Constructor Summary
`NullFilter(java.lang.String name, javax.persistence.metamodel.SingularAttribute<? super T,?> attribute, boolean isNull)`

Method Summary
`javax.persistence.criteria.Predicate` `createPredicate(javax.persistence.criteria.CriteriaBuilder builder, javax.persistence.criteria.Path<? extends T> root)`

Methods inherited from class net.dontdrinkandroot.persistence.filter.AbstractFilter
`equals, getName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullFilter

    public NullFilter(java.lang.String name,
                      javax.persistence.metamodel.SingularAttribute<? super T,?> attribute,
                      boolean isNull)

Method Detail

### createPredicate

    public javax.persistence.criteria.Predicate createPredicate(javax.persistence.criteria.CriteriaBuilder builder,
                                                                javax.persistence.criteria.Path<? extends T> root)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.